package intrinsic.flash.events;

public class MouseEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public boolean buttonDown;
	public double localX;
	public boolean shiftKey;
	public double localY;
	public intrinsic.flash.display.InteractiveObject relatedObject;
	public double stageX;
	public boolean ctrlKey;
	public double stageY;
	public int delta;
	public boolean altKey;

	/** Variables */

	/** Constants */
	public static final String MOUSE_OVER = "mouse_over";
	public static final String MOUSE_UP = "mouse_up";
	public static final String RIGHT_CLICK = "right_click";
	public static final String RIGHT_MOUSE_UP = "right_mouse_up";
	public static final String RIGHT_MOUSE_DOWN = "right_mouse_down";
	public static final String MOUSE_WHEEL = "mouse_wheel";
	public static final String CLICK = "click";
	public static final String MOUSE_DOWN = "mouse_down";
	public static final String CONTEXT_MENU = "context_menu";
	public static final String MOUSE_MOVE = "mouse_move";
	public static final String ROLL_OUT = "roll_out";
	public static final String ROLL_OVER = "roll_over";
	public static final String DOUBLE_CLICK = "double_click";
	public static final String MOUSE_OUT = "mouse_out";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MouseEvent() {
}

public MouseEvent(String arg0) {
}

public MouseEvent(String arg0, boolean arg1) {
}

public MouseEvent(String arg0, boolean arg1, boolean arg2) {
}

public MouseEvent(String arg0, boolean arg1, boolean arg2, double arg3) {
}

public MouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4) {
}

public MouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5) {
}

public MouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, boolean arg6) {
}

public MouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, boolean arg6, boolean arg7) {
}

public MouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, boolean arg6, boolean arg7, boolean arg8) {
}

public MouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, boolean arg6, boolean arg7, boolean arg8, boolean arg9) {
}

public MouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, boolean arg6, boolean arg7, boolean arg8, boolean arg9, int arg10) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();
public native void updateAfterEvent();

}
